com.corticon.rulesemf.canonicalrulemodel.rulesheet.util

## Class RulesheetAdapterFactory

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
  - - com.corticon.rulesemf.canonicalrulemodel.rulesheet.util.RulesheetAdapterFactory

- All Implemented Interfaces:
    org.eclipse.emf.common.notify.AdapterFactory

      public class RulesheetAdapterFactory
      extends org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

  The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.
  See Also:
    `RulesheetPackage`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static RulesheetPackage` | `modelPackage` The cached model package
    `protected RulesheetSwitch` | `modelSwitch` The switch that delegates to the `createXXX` methods

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RulesheetAdapterFactory()` Creates an instance of the adapter factory

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.notify.Adapter` | `createActionAdapter()` Creates a new adapter for an object of class '`Action`'
    `org.eclipse.emf.common.notify.Adapter` | `createAdapter(org.eclipse.emf.common.notify.Notifier target)` Creates an adapter for the `target`
    `org.eclipse.emf.common.notify.Adapter` | `createConditionAdapter()` Creates a new adapter for an object of class '`Condition`'
    `org.eclipse.emf.common.notify.Adapter` | `createEffectivityRangeAdapter()` Creates a new adapter for an object of class '`Effectivity Range`'
    `org.eclipse.emf.common.notify.Adapter` | `createEObjectAdapter()` Creates a new adapter for the default case
    `org.eclipse.emf.common.notify.Adapter` | `createFilterAdapter()` Creates a new adapter for an object of class '`Filter`'
    `org.eclipse.emf.common.notify.Adapter` | `createLogicalVariableAdapter()` Creates a new adapter for an object of class '`Logical Variable`'
    `org.eclipse.emf.common.notify.Adapter` | `createPRuleAdapter()` Creates a new adapter for an object of class '`PRule`'
    `org.eclipse.emf.common.notify.Adapter` | `createPRulesetAdapter()` Creates a new adapter for an object of class '`PRuleset`'
    `org.eclipse.emf.common.notify.Adapter` | `createReferencedAttributeAdapter()` Creates a new adapter for an object of class '`Referenced Attribute`'
    `org.eclipse.emf.common.notify.Adapter` | `createRuleActivityAdapter()` Creates a new adapter for an object of class '`Rule Activity`'
    `org.eclipse.emf.common.notify.Adapter` | `createRuleModelElementAdapter()` Creates a new adapter for an object of class '`Rule Model Element`'
    `org.eclipse.emf.common.notify.Adapter` | `createRulesheetStringAdapter()` Creates a new adapter for an object of class '`String`'
    `org.eclipse.emf.common.notify.Adapter` | `createRuleStatementAdapter()` Creates a new adapter for an object of class '`Rule Statement`'
    `org.eclipse.emf.common.notify.Adapter` | `createValidatableObjectAdapter()` Creates a new adapter for an object of class '`Validatable Object`'
    `org.eclipse.emf.common.notify.Adapter` | `createVariableAdapter()` Creates a new adapter for an object of class '`Variable`'
    `org.eclipse.emf.common.notify.Adapter` | `createViewExpressionsAdapter()` Creates a new adapter for an object of class '`View Expressions`'
    `boolean` | `isFactoryForType(java.lang.Object object)` Returns whether this factory is applicable for the type of the object

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

      `adapt, adapt, adaptAllNew, adaptNew, associate, createAdapter, resolve`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### modelPackage

          protected static RulesheetPackage modelPackage

      The cached model package.

    - #### modelSwitch

          protected RulesheetSwitch modelSwitch

      The switch that delegates to the `createXXX` methods.

  - ### Constructor Detail

    - #### RulesheetAdapterFactory

          public RulesheetAdapterFactory()

      Creates an instance of the adapter factory.

  - ### Method Detail

    - #### isFactoryForType

          public boolean isFactoryForType(java.lang.Object object)

      Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.
      Specified by:
        `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
      Overrides:
        `isFactoryForType` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
      Returns:
        whether this factory is applicable for the type of the object.

    - #### createAdapter

          public org.eclipse.emf.common.notify.Adapter createAdapter(org.eclipse.emf.common.notify.Notifier target)

      Creates an adapter for the `target`.
      Overrides:
        `createAdapter` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
      Parameters:
        `target` - the object to adapt.
      Returns:
        the adapter for the `target`.

    - #### createActionAdapter

          public org.eclipse.emf.common.notify.Adapter createActionAdapter()

      Creates a new adapter for an object of class '`Action`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Action`

    - #### createConditionAdapter

          public org.eclipse.emf.common.notify.Adapter createConditionAdapter()

      Creates a new adapter for an object of class '`Condition`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Condition`

    - #### createEffectivityRangeAdapter

          public org.eclipse.emf.common.notify.Adapter createEffectivityRangeAdapter()

      Creates a new adapter for an object of class '`Effectivity Range`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `EffectivityRange`

    - #### createFilterAdapter

          public org.eclipse.emf.common.notify.Adapter createFilterAdapter()

      Creates a new adapter for an object of class '`Filter`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Filter`

    - #### createLogicalVariableAdapter

          public org.eclipse.emf.common.notify.Adapter createLogicalVariableAdapter()

      Creates a new adapter for an object of class '`Logical Variable`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `LogicalVariable`

    - #### createPRuleAdapter

          public org.eclipse.emf.common.notify.Adapter createPRuleAdapter()

      Creates a new adapter for an object of class '`PRule`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `PRule`

    - #### createPRulesetAdapter

          public org.eclipse.emf.common.notify.Adapter createPRulesetAdapter()

      Creates a new adapter for an object of class '`PRuleset`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `PRuleset`

    - #### createRuleStatementAdapter

          public org.eclipse.emf.common.notify.Adapter createRuleStatementAdapter()

      Creates a new adapter for an object of class '`Rule Statement`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `RuleStatement`

    - #### createRulesheetStringAdapter

          public org.eclipse.emf.common.notify.Adapter createRulesheetStringAdapter()

      Creates a new adapter for an object of class '`String`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `RulesheetString`

    - #### createReferencedAttributeAdapter

          public org.eclipse.emf.common.notify.Adapter createReferencedAttributeAdapter()

      Creates a new adapter for an object of class '`Referenced Attribute`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ReferencedAttribute`

    - #### createViewExpressionsAdapter

          public org.eclipse.emf.common.notify.Adapter createViewExpressionsAdapter()

      Creates a new adapter for an object of class '`View Expressions`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ViewExpressions`

    - #### createRuleModelElementAdapter

          public org.eclipse.emf.common.notify.Adapter createRuleModelElementAdapter()

      Creates a new adapter for an object of class '`Rule Model Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `RuleModelElement`

    - #### createValidatableObjectAdapter

          public org.eclipse.emf.common.notify.Adapter createValidatableObjectAdapter()

      Creates a new adapter for an object of class '`Validatable Object`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ValidatableObject`

    - #### createVariableAdapter

          public org.eclipse.emf.common.notify.Adapter createVariableAdapter()

      Creates a new adapter for an object of class '`Variable`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Variable`

    - #### createRuleActivityAdapter

          public org.eclipse.emf.common.notify.Adapter createRuleActivityAdapter()

      Creates a new adapter for an object of class '`Rule Activity`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `RuleActivity`

    - #### createEObjectAdapter

          public org.eclipse.emf.common.notify.Adapter createEObjectAdapter()

      Creates a new adapter for the default case. This default implementation returns null.
      Returns:
        the new adapter.

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.